Subject: [bug#68682] [PATCH] gnu: maths: arpack-ng: Modify build settings.

From: Andreas Enge <[email-masked]>
Date: Wed, 24 Jan 2024 15:04:37 +0100

Hello Romain,

Am Wed, Jan 24, 2024 at 09:46:22AM +0100 schrieb Romain GARBAGE:
> * gnu/packages/maths.scm (arpack-ng): Add configure flags for building
>   the shared library and the iso C bindings.

thanks for sending the patch!

I see that the ISO C binding flag installs additional headers, but I do not
see why the flag for building shared libraries would be needed. In the current
arpack-ng, there is already a shared library in the lib/ subdirectory.

Could you explain how adding the flag makes a difference?

Andreas

PS: Concerning the commit message, we usually do not mention the module
    and just start by "gnu: arpack-ng:" without "maths:".